# NOTE:
# - check release notes from here https://code.google.com/p/closure-compiler/wiki/Releases
# TODO
# - build from source (get-source.sh fetches it)

%include	/usr/lib/rpm/macros.java
Summary:	Closure Compiler - JavaScript compressor
Name:		closure-compiler
Version:	20140923
Release:	1
License:	Apache v2.0
Group:		Applications/WWW
# Check releases here: https://github.com/google/closure-compiler/releases
Source0:	http://dl.google.com/closure-compiler/compiler-%{version}.tar.gz
# Source0-md5:	0aec94d4f36859ddc41083025a40dff3
Source1:	%{name}.sh
Source2:	get-source.sh
Source4:	Changes
URL:		http://closure-compiler.appspot.com/
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Closure Compiler is a tool for making JavaScript download and run
faster. It is a true compiler for JavaScript. Instead of compiling
from a source language to machine code, it compiles from JavaScript to
better JavaScript. It parses your JavaScript, analyzes it, removes
dead code and rewrites and minimizes what's left. It also checks
syntax, variable references, and types, and warns about common
JavaScript pitfalls.

%prep
%setup -qc
cp -p %{SOURCE4} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_javadir}}
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# jars
cp -p compiler.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md Changes
%attr(755,root,root) %{_bindir}/%{name}
%{_javadir}/*.jar
%changelog
* Tue Oct 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/closure-compiler.git;a=log;h=master

* Tue Oct 14 2014 Elan Ruusamäe <glen@delfi.ee> 4e6ef15
- up to 20140923

* Thu Oct 17 2013 Elan Ruusamäe <glen@delfi.ee> 5912ecd
- up to 20131014 (October 14, 2013)

* Wed Sep 18 2013 Elan Ruusamäe <glen@delfi.ee> 0595d54
- up to 20130823

* Sun Aug 18 2013 Elan Ruusamäe <glen@delfi.ee> 03f7f2d
- up to v20130722 (July 22, 2013)

* Thu Jun 06 2013 Elan Ruusamäe <glen@delfi.ee> 28ce3fd
- up to v20130603 (June 3, 2013)

* Mon Apr 15 2013 Elan Ruusamäe <glen@delfi.ee> 9ab795a
- up to 20130411

* Mon Apr 08 2013 Elan Ruusamäe <glen@delfi.ee> a55952d
- remove from files too

* Mon Apr 08 2013 Elan Ruusamäe <glen@delfi.ee> 1e92902
- pointless now, it's simple to do the same with git

* Mon Apr 08 2013 Elan Ruusamäe <glen@delfi.ee> 2ae8b69
- up to 20130227

* Mon Jan 21 2013 Elan Ruusamäe <glen@delfi.ee> 7435535
- up to 20121212

* Thu Nov 22 2012 Elan Ruusamäe <glen@delfi.ee> 9f347ee
- fetch more changelogs

* Tue Nov 20 2012 Elan Ruusamäe <glen@delfi.ee> a2d44ed
- up to 20120917

* Mon Jul 09 2012 Elan Ruusamäe <glen@delfi.ee> a86b94c
- add executable bit

* Thu May 17 2012 Elan Ruusamäe <glen@pld-linux.org> 28ae79b
- up to 20120430

* Thu Mar 29 2012 Elan Ruusamäe <glen@pld-linux.org> dd63bbf
- up to 20120305

* Wed Feb 29 2012 Elan Ruusamäe <glen@pld-linux.org> 6283829
- track gen-changes.sh script

* Wed Feb 29 2012 Elan Ruusamäe <glen@pld-linux.org> abc435d
- up to 20120123, r1741

* Wed Feb 29 2012 Elan Ruusamäe <glen@pld-linux.org> 86c4cab
- script to make changelogs

* Wed Jan 11 2012 Elan Ruusamäe <glen@pld-linux.org> f19ea0e
- up to 20111114
  "true -> !0" packing is back. see r1431 and r1559

* Wed Jan 11 2012 Elan Ruusamäe <glen@pld-linux.org> 17217d8
- update according to site changes (the build/built message is filled manually by uploader)

